curl --request GET \
--url https://api.neynar.com/v2/farcaster/signer/list/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.neynar.com/v2/farcaster/signer/list/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neynar.com/v2/farcaster/signer/list/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signers": [
{
"public_key": "0x3daa8f99c5f760688a3c9f95716ed93dee5ed5d7722d776b7c4deac957755f22",
"signer_uuid": "19d0c5fd-9b33-4a48-a0e2-bc7b0555baec",
"status": "generated",
"fid": 3,
"object": "signer",
"permissions": [
"WRITE_ALL"
],
"signer_approval_url": "<string>"
}
]
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}List signers
Fetches a list of signers for a custody address
Related tutorial: Fetch signers
Node.js SDK
🔗 SDK Method: fetchSigners Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Query Parameters
A Sign-In with Ethereum (SIWE) message that the user's Ethereum wallet signs. This message includes details such as the domain, address, statement, URI, nonce, and other relevant information following the EIP-4361 standard. It should be structured and URL-encoded.
"example.com%20wants%20you%20to%20sign%20in%20with%20your%20Ethereum%20account%3A%5Cn0x23A...F232%5Cn%5CnSign%20in%20to%20continue.%5Cn%5CnURI%3A%20example.com%5CnVersion%3A%201%5CnChain%20ID%3A%201%5CnNonce%3A%20xyz123%5CnIssued%20At%3A%202021-09-01T14%3A52%3A07Z"
The digital signature produced by signing the provided SIWE message with the user's Ethereum private key. This signature is used to verify the authenticity of the message and the identity of the signer.
"0x25f8...1cf"
Response
Success
Show child attributes
Show child attributes
Was this page helpful?